List Billing Credits Top-ups
curl --request GET \
--url http://127.0.0.1:3333/v3/billing/credits-topups \
--header 'Authorization: Bearer <token>'import requests
url = "http://127.0.0.1:3333/v3/billing/credits-topups"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('http://127.0.0.1:3333/v3/billing/credits-topups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"topups": [
{
"id": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"key": "<string>",
"credits": 1,
"defaultCurrency": "brl",
"price": 1,
"prices": {
"brl": 1,
"usd": 1,
"eur": 1,
"gbp": 1
},
"stripeProductId": "<string>",
"displayOrder": 1,
"isPublic": true,
"displayName": "<string>",
"description": "<string>",
"checkoutName": "<string>"
}
]
}{
"error": "<string>"
}Catalog & Invoices
List Billing Credits Top-ups
List public billing credits top-up catalog entries.
GET
/
v3
/
billing
/
credits-topups
List Billing Credits Top-ups
curl --request GET \
--url http://127.0.0.1:3333/v3/billing/credits-topups \
--header 'Authorization: Bearer <token>'import requests
url = "http://127.0.0.1:3333/v3/billing/credits-topups"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('http://127.0.0.1:3333/v3/billing/credits-topups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"topups": [
{
"id": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"key": "<string>",
"credits": 1,
"defaultCurrency": "brl",
"price": 1,
"prices": {
"brl": 1,
"usd": 1,
"eur": 1,
"gbp": 1
},
"stripeProductId": "<string>",
"displayOrder": 1,
"isPublic": true,
"displayName": "<string>",
"description": "<string>",
"checkoutName": "<string>"
}
]
}{
"error": "<string>"
}